@echo off
cls

echo ######################################################################
echo ## Setting up a MinGW/Qt only environment...
echo ## QTDIR set to C:\Qt\4.1.4
echo ## PATH set to C:\Qt\4.1.4\bin
echo ## Adding C:\MinGWStudio\MinGW\bin to PATH
echo ## Adding C:\Program Files\Development\doxygen\bin to PATH
echo ## Adding C:\Perl\bin to PATH
echo ## Adding %SystemRoot%\System32 to PATH
echo ## QMAKESPEC set to win32-g++
echo ######################################################################

set QTDIR=C:\Qt\4.1.4
set PATH=C:\Qt\4.1.4\bin
set PATH=%PATH%;C:\MinGWStudio\MinGW\bin
set PATH=%PATH%;C:\Program Files\Development\doxygen\bin
set PATH=%PATH%;C:\Perl\bin
set PATH=%PATH%;%SystemRoot%\System32
set QMAKESPEC=win32-g++

echo.
echo ######################################################################
echo ## Building Application...
echo ######################################################################
echo.

if not exist Makefile qmake > nul
if errorlevel 1 echo QMAKE: Could not find .pro file, exit: %errorlevel%.
if errorlevel 1 goto END

if "%1"=="clean" mingw32-make clean > nul

mingw32-make release
echo Exit code: %errorlevel%
if errorlevel 1 goto END

if exist %QTDIR%\qt4.1.4.tag goto DOXYGEN
echo.
echo ######################################################################
echo ## Running doxytag...
echo ######################################################################
echo.

doxytag -t %QTDIR%\qt4.1.4.tag %QTDIR%\doc\html

:DOXYGEN
echo.
echo ######################################################################
echo ## Running doxygen...
echo ######################################################################
echo.

doxygen Doxyfile
if errorlevel 1 echo DOXYGEN: Could not create documentation, exit: %errorlevel%.
if errorlevel 1 goto END

REM Change to document directory.
cd doc\html

if not exist C:\Perl\bin\perl.exe goto COMPLETE
echo.
echo ######################################################################
echo ## Running installdox perl script...
echo ######################################################################
echo.

REM Delete any previous backup files.
if exist *.bak del /Q *.bak

perl installdox -l qt4.1.4.tag@file:///c:/qt/4.1.4/doc/html
if errorlevel 1 echo PERL: Could not run installdox, exit: %errorlevel%.
if errorlevel 1 goto END

REM Delete any previous backup files.
if exist *.bak del /Q *.bak

:COMPLETE
echo.
echo Build complete.
:END
echo.
pause
exit
