////////////////////////////////////////////////////////////////////////////////
/// \class AboutDialog AboutDialog.h
///
/// \version 1.00
/// \date 05-07-2006
/// \author Andrew Smith <andrew.smith@freenet.co.uk>
///
/// \par Copyright:
/// See COPYING file that comes with this distribution.
///
/// \brief Media Controller About Dialog Class.
///
/// Basic about box dialog to display information about the Media Controller
/// application including version and author information.
///
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
///// CHANGE HISTORY                                                       /////
////////////////////////////////////////////////////////////////////////////////
/*****

Date:     Ver: Description:
-------- ---- ------------------------------------------------------------------
05-07-06 1.00 Initial release.

*****/
#ifndef ABOUTDIALOG_H
#define ABOUTDIALOG_H

#include "ui_AboutDialog.h"

#include <QDialog>

////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////
class AboutDialog : public QDialog
{    
	Q_OBJECT
public:
	/*! \brief Constructor.
	 *
	 * Construct and initialise the data in the About Dialog Class.
	 */
	AboutDialog(QWidget *parent = 0);

private:
	/*! \brief About Dialog widget information.
	 *
	 * Contains all of the information/widgets needed to created the dialog.
	 * This information is stored in AboutDialog.ui and is auto-generated by Qt.
	 */
	Ui::AboutDialog ui;
};

#endif // ABOUTDIALOG_H
////////////////////////////////////////////////////////////////////////////////
