////////////////////////////////////////////////////////////////////////////////
/// \file main.cpp
///
/// \version 1.00
/// \date 14-07-2006
/// \author Andrew Smith <andrew.smith@freenet.co.uk>
///
/// \par Copyright:
/// See COPYING file that comes with this distribution.
///
/// \brief main access file.
///
/// Application access function.
///
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
///// CHANGE HISTORY                                                       /////
////////////////////////////////////////////////////////////////////////////////
/*****

Date:     Ver: Description:
-------- ---- ------------------------------------------------------------------
14-07-06 1.00 Initial release.

*****/
#include "MainWindow.h"
#include <QApplication>
#include <QMainWindow>

/*! \brief Global access function.
 *
 * Global access function that is called when the application is started.
 * \param argc	Number of command line input arguments.
 * \param argv	Array of command line input arguments.
 * \return	Application exit code (0 if normal exit).
 */
int main(int argc, char *argv[])
{
    QApplication app(argc, argv);
	MainWindow window;

	window.show();
	app.connect(&app, SIGNAL(lastWindowClosed()), &app, SLOT(quit()));
	return app.exec();
}
